
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #248

PKG_INSTALLDIR not present in pkg-config < 0.27

February 02, 2013 03:47 - szymon krasuski

Status: Closed Start date: February 02, 2013

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: core Estimated time: 0.00 hour

Target version: 3.4   

Affects version: 3.4   

Description

after a recent git pull ( configure.ac   |    2 ++  )  trying to compile: sh ./autogen.sh*info* running aclocal (-I m4)

info running autoheader

info running autoconf

configure.ac:26: error: possibly undefined macro: PKG_INSTALLDIR

If this token and others are legitimate, please use m4_pattern_allow.

See the Autoconf documentation.

error autoconf failed. (exit code = 1)

History

#1 - February 02, 2013 05:22 - John Lindgren

What version of pkg-config do you have?

#2 - February 02, 2013 15:38 - szymon krasuski

0.26-1ubuntu1 @12.04 LTS. for now commenting out 26th line #PKG_INSTALLDIR works

#3 - February 02, 2013 18:52 - John Lindgren

- Subject changed from recent git pull caused this to PKG_INSTALLDIR not present in pkg-config < 0.27

#4 - February 02, 2013 21:00 - John Lindgren

nenolod is checking whether there's a way to allow the use of PKG_INSTALLDIR only with pkg-config >= 0.27.  If not, we will have to revert commit

7c714a85 for the time being.

#5 - February 03, 2013 21:31 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

https://github.com/audacious-media-player/audacious/commit/033162b8e42034a268ca7830c5654524aee57675
